//+------------------------------------------------------------------+
//|                                            #activeorders v2.mq4 |
//|                                                             Name
//|                                                            Email |
//+------------------------------------------------------------------+
#property copyright "Name"
#property link      ""
#property indicator_chart_window

extern string font_name   =  "Arial";     // print the labels
extern int    font_size1  =  10;           // size of the font header 
extern int    font_size2  =  9;            // size of the font list items 
extern int    labs_corner =  0;            // angle of anchor text labels 
extern int    labs_xdist  =  25;            // rasctoyanie X on the window border 
extern int    labs_ydist  =  200;           // distance Y from the window border 
extern int    labs_space  =  10;           // Y spacing between labels 
extern int    labs_max    =  30;           // maximum number of labels 
extern color  clr_profit  =  Lime;  // color for profit positions 
extern color  clr_loss    =  Red;     // color for the loss-making positions
extern bool   show_all_open_orders = true;

string buysymbol;
string sellsymbol;

//--------------------------------------------------------------------------+

void init()
{
	// create 25 text boxes to display
	for(int i = 1; i <= labs_max; i++)
	{
	  ObjectCreate("lab"+i, OBJ_LABEL, 0, 0, 0);
  	ObjectSet("lab"+i, OBJPROP_CORNER, labs_corner);
	  ObjectSet("lab"+i, OBJPROP_XDISTANCE, labs_xdist);
  	ObjectSet("lab"+i, OBJPROP_YDISTANCE, i * labs_space + labs_ydist);
    ObjectSetText("lab"+i, "");
  }
}

//--------------------------------------------------------------------------+

void deinit()
{
	// remove all text fields 
	for(int i = 1; i <= labs_max; i++) ObjectDelete("lab"+i);
}

//--------------------------------------------------------------------------+

void indicate_orders()
{
  int i, nb = 0, ns = 0, lab = 1, lbn = 0;
  int buys_profit = 0, sells_profit = 0;
  double buys_volume = 0.0, sells_volume = 0.0, buysym = 0.0;
  double buys_list[50][3];
  double sells_list[50][3];
  string res;
  

  // Count of all open positions at this time of the current
  for(i = 0; i < OrdersTotal(); i++)
  {
    if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES) == false) continue;
   
   if (show_all_open_orders != false)
      { 
      }
      else
      {
      if(OrderSymbol() != Symbol()) continue;
      }
    
    if(OrderType() == OP_BUY)
    {
      buysymbol = OrderSymbol();
      buys_list[nb][1] = OrderProfit();
      buys_list[nb][2] = ( OrderProfit() - OrderCommission() ) / OrderLots() / MarketInfo( OrderSymbol(), MODE_TICKVALUE );
      buys_profit += buys_list[nb][1];
      buys_volume += buys_list[nb][2];
      nb++;
    }
    if(OrderType() == OP_SELL)
    {
      sellsymbol = OrderSymbol();
      sells_list[ns][1] = OrderProfit();
      sells_list[ns][2] = ( OrderProfit() - OrderCommission() ) / OrderLots() / MarketInfo( OrderSymbol(), MODE_TICKVALUE );
      sells_profit += sells_list[ns][1];
      sells_volume += sells_list[ns][2];
      ns++;
    }
  }

  // Display all open positions 
  
 if(nb > 0)

 {
    ArrayResize(buys_list, nb);
    if(buys_profit > 0)
   
    lab++;
      lbn = lab;
    for(i = 0; i < nb; i++)
    {
      lab = lbn + i;
      if(buys_list[i][1] > 0)
      {
        
        res = "Buy " +buysymbol+  "  Pips  +" + DoubleToStr(buys_list[i][2]/10, 1) + "  Profit +" + DoubleToStr(buys_list[i][1], 2);
        ObjectSetText("lab"+lab, res, font_size2, font_name, clr_profit);
        
      }
      else
      {
        res = "Buy " +buysymbol+  "  Pips  " + DoubleToStr(buys_list[i][2]/10, 1) + "  Profit  " + DoubleToStr(buys_list[i][1], 2);
        ObjectSetText("lab"+lab, res, font_size2, font_name, clr_loss);
        
      }
      lab++;
        ObjectSetText("lab"+lab, "------------------------------------------", font_size1, font_name, White);
    }
  }
  
  if(ns > 0)
  {
    ArrayResize(sells_list, ns);
    if(nb > 0)
    
    lab++;
    lbn = lab;
    for(i = 0; i < ns; i++)
    {
      lab = lbn + i;
      if(sells_list[i][1] > 0)
      { 
       
        res = "Sell " +sellsymbol+  "  Pips +" + DoubleToStr(sells_list[i][2]/10, 1) + "  Profit +" + DoubleToStr(sells_list[i][1], 2);
        ObjectSetText("lab"+lab, res, font_size2, font_name, clr_profit);
      }
      else
      {
        res = "Sell " +sellsymbol+  "  Pips  " + DoubleToStr(sells_list[i][2]/10, 1) + "  Profit  " + DoubleToStr(sells_list[i][1], 2);
        ObjectSetText("lab"+lab, res, font_size2, font_name, clr_loss);
      }
    }
  }
  for(i = lab+1; i <= labs_max; i++) ObjectSetText("lab"+i, "");
}

//--------------------------------------------------------------------------+

void start()
{
  indicate_orders();

  //
  // Your text Adviser
  //
}